> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/espanol/create-check/create-check-company.md).

# Consulta de empresa

Este endpoint es para crear una consulta de empresa o historia crediticia de empresa.&#x20;

{% hint style="danger" %}
**Importante**: Para consulta de historial crediticio de empresa en Colombia, es necesario comunicarse con el [equipo comercial](https://zapsign.co/es/hablar-con-ventas) para activar esta funcionalidad.
{% endhint %}

<mark style="color:blue;">`POST`</mark> `https://api.zapsign.com.br/api/v1/checks/`&#x20;

#### Header

<table><thead><tr><th width="175">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefijo con la palabra "Bearer". Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</td></tr></tbody></table>

#### Reqeust Body

<table><thead><tr><th width="155">Nombre</th><th width="131">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>country<mark style="color:red;">*</mark></td><td>string</td><td>BR | CO | MX | CL . Más detalle de consultas disponibles <a href="/zapsign-api/espanol/background_check/results.md">haz clic aqui</a></td></tr><tr><td>type<mark style="color:red;">*</mark></td><td>string</td><td><p><strong>"company", "credit_company_co", "credit_company_br".</strong> </p><p>Más detalle de consultas disponibles <a href="/zapsign-api/espanol/background_check/results.md">haz clic aqui</a></p></td></tr><tr><td>user_authorized<mark style="color:red;">*</mark></td><td>boolean</td><td>Indica si la empresa autorizó la validación. Debe ser <code>true</code> para proceder.</td></tr><tr><td>force_creation</td><td>boolean</td><td>Si <code>true</code> fuerza la creación de una nueva búsqueda de antecedentes si ya existe un resultado. Si <code>false</code>, devuelve el resultado de la consulta de antecedentes creada anteriormente.</td></tr><tr><td>tax_id</td><td>string</td><td>Documento de identidad oficial. </td></tr><tr><td>company_name</td><td>string</td><td>Nombre de la empresa. Si se especifica, se hace una consulta a bases de datos internacionales para obtener más detalle en los resultados. </td></tr><tr><td>observers</td><td>array&#x3C;string></td><td>Representa a los observadores de la consulta de antecedentes (hasta 20 personas), es decir, direcciones de correo electrónico que serán notificadas cuando la consulta de antecedentes haya finalizado. Es un array de correos electrónicos.</td></tr></tbody></table>

{% hint style="warning" %}
Cada consulta de antecedentes tiene un costo adicional que depende del tipo de consulta. Para recargar tu cuenta ingresa a tu cuenta en la sección [Planes y Precios > Créditos](https://app.zapsign.co/conta/configuracoes/plans?tab=credits).&#x20;

Consulta empresa en CO, BR, CL y PE: 90 créditos (USD$1.8)

Consulta empresa en MX: 130 créditos (USD$2.6)

Consulta de historia crediticia de empresa en CO y BR: 200 créditos (USD$4)
{% endhint %}

#### Ejemplo de solicitud

```json
{
    "user_authorized": true,
    "force_creation": true,
    "type": "company",
    "country": "CO",
    "taxl_id": "11111111"
}
```

#### Response

{% tabs %}
{% tab title="200 Consulta creada con éxito" %}

```json
{
    "check_id": "CHK682a755bb7135140248cc8dd1d290a01",
    "status": "not_started",
    "company_name": "",
    "full_name": "",
    "first_name": "",
    "last_name": "",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "",
    "foreign_id": "",
    "tax_id": "1111111",
    "country": "CO",
    "native_country": "",
    "check_type": "company",
    "lang": "es",
    "region": "",
    "created_at": "2025-03-28T17:49:43.363416Z",
    "last_update_at": "2025-03-28T17:49:43.363435Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/espanol/create-check/create-check-company.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
